Bug 169548 - Need URL links for Bug templates
Need URL links for Bug templates
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: eclipse-bugzilla (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-29 11:36 EDT by Chris Drake
Modified: 2013-04-02 00:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-11 10:22:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Drake 2005-09-29 11:36:41 EDT
Description of problem:
Bugzilla 2.16 (at least) allows a user to add bug templates and query template 
in order to reduce the amount of repeated data entry from the user. The query 
template links are included at the bottom of many pages in Bugzilla, however, 
the bug templates simply give a hyperlink that can be bookmarked. Currently, I 
know of no way that the plugin offers to save this URL. Thus the user is 
forced to reenter bug information for each new bug.

It would be a nice enhancement to add the capability to store a URL from the 
browser into some portion of the tree (somewhat like the "History" node), a 
favorites node perhaps. I know that it may not be desirable to allow the user 
to enter any URL here but if there was a way to add the current URL (which 
would result in only site specific URL's) it would be sufficient.

There is currently an enhancement request for allowing a bug to be entered 
outside of the web interface as queries are done (although I think it was 
entered under the Bugzilla component not eclipse-bugzilla). If you add this 
capability then allowing a template of information entered to be created would 
allow seamless duplication of functionality. 

Version-Release number of selected component (if applicable):


How reproducible:
enhancement request functionality does not exist

Steps to Reproduce:
1. Go to New Bug entry page
2. Enter bug info without specific comments
3. Select "Remember Values as bookmarkable template" button
4. Go to suggested hyperlink
5. Wonder how you are going to get the plugin to return to this URL when needed
  
Actual results:
I could not figure out how, if at all, I could ge the plugin to return to the 
URL

Expected results:
Should be a way to add links to URL's at least within the Bugzilla site. Or a 
way to add a bug entry template outside the Bugzilla web interface.

Additional info:
Comment 1 Andrew Overholt 2005-09-29 12:51:49 EDT
Interesting ideas.  Care to hack on them?  I'm not familiar with the codebase of
eclipse-bugzilla myself but I'm planning on becoming so soon.  Jeff Pound is now
back at school so development has effectively stopped.  If you or anyone else is
interested in helping with this project, I'd be glad to help in any way possible.
Comment 2 Red Hat Bugzilla 2007-09-11 00:05:08 EDT
User klee@redhat.com's account has been closed
Comment 3 Andrew Overholt 2007-09-11 10:22:16 EDT
We are now shipping Mylyn which obsoletes the old bugzilla plugin.  Please open
a request at bugs.eclipse.org against Mylyn if this issue persists.  Thank you.

Note You need to log in before you can comment on or make changes to this bug.